%define api 5
%define major 5
%define oname qt5

%define module qtx11extras

%define qtx11extras %mklibname qt%{api}x11extras %{major}
%define qtx11extrasd %mklibname qt%{api}x11extras -d

# Requires qdoc5 and qt5-tools to build
%bcond_with docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.6.1
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qtx11extras}
Summary:	Qt X11 Extras library
Group:		System/Libraries

%description -n %{qtx11extras}
Qt X11 Extras library.

%files -n %{qtx11extras}
%{_qt5_libdir}/libQt%{api}X11Extras.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}X11Extras.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qtx11extrasd}
Summary:	Development files for the QtX11Extras library
Group:		Development/KDE and Qt
Requires:	%{qtx11extras} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qtx11extrasd}
Development files for the QtX11Extras library.

%files -n %{qtx11extrasd}
%{_qt5_includedir}/QtX11Extras
%{_qt5_libdir}/libQt%{api}X11Extras.so
%{_qt5_libdir}/libQt%{api}X11Extras.prl
%{_qt5_libdir}/cmake/Qt%{api}X11Extras
%{_qt5_libdir}/pkgconfig/Qt%{api}X11Extras.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}X11Extras.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_x11extras.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_x11extras_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtx11extras.qch
%endif

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Sun Jun 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.1-1
- (cdbdf64) New version 5.6.1


